<?php
namespace Teknisa\PLA\Modules\Parametros\Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Teknisa\GER\Services\CrudService;
use Doctrine\DBAL\Connection;
use Exception;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

class Ger30000PadraoDeServico extends \Teknisa\GER\Controllers\TeknisaCrud{

	protected $connection;
	protected $util;
	protected $environment;
	protected $crudService;
	protected $parameterBag;
	protected $nrlista;

	public function __construct($crudService, $parameterBag, $connection, $util ,$environment) {
        $this->connection    = $connection;
        $this->crudService   = $crudService;
        $this->parameterBag  = $parameterBag;
        $this->util          = $util;
        $this->environment   = $environment;
    }
    
    public function atualizacaoAutomatica($request, $response) {
        try {
            $dados = $request->getRow();
            $rows = clone $dados;
            
            foreach ($rows["CDFILIALSL"] as $cdfilial) {
                $count = 0;
                foreach ($rows["CDSERVPADRSL"] as $cdservico){
                    $sql = "UPDATE SERVICO
                            SET
                                NMSERVICO =:NMSERVICO,
                                CDPRODUTO =:CDPRODUTO
                            WHERE
                                CDFILIAL =:P_CDFILIAL
                                AND CDSERVFILI =:P_CDSERVFILI";
                    $stmt = $this->connection->prepare($sql);
                    $stmt->execute(
                        array(
                            "NMSERVICO" => $rows["NMSERVPADRSL"][$count],
                            "CDPRODUTO" => $rows["CDPRODUTO"][$count],
                            "P_CDFILIAL"  => $cdfilial,
                            "P_CDSERVFILI"  => $cdservico
                            )
                    );
                    $count++;
                }
            }
        }
	    catch (\Exception $e){
            $response->setError(new Error("Erro ao atualizar". $e->getMessage(), 500));
        }
    }
    
}